For the complete documentation index, see llms.txt. This page is also available as Markdown.

Environments (Deprecated)

Deprecated
get

DEPRECATED: Use GET /api/v1/collection/:idOrSlug instead. Describe Environment with associated cloud accounts (legacy environment endpoint).

πŸ”’ Requires the read:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Responses
200

Information about the environment

application/json

Information about the environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

approval_policybooleanRequired

Whether the environment requires approval for install or uninstall e.g. false

Example: false
cost_quotanumber Β· min: 1Optional

Maximum allowed total cost for all deployments in this environment in USD e.g. 1000.50

Example: 1000.5
current_costnumberOptionalDeprecated

Current total cost for all deployments in this environment in USD e.g. 1000.50

Example: 1000.5
get/api/v1/environment/{idOrSlug}
GET /api/v1/environment/{idOrSlug} HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "associated_items_count": {
    "members": 1,
    "properties": 1,
    "secrets": 1,
    "deployments": 1
  },
  "approval_policy": false,
  "allowed_blueprints": [
    {
      "name": "text",
      "versions": [
        "text"
      ]
    }
  ],
  "cost_quota": 1000.5
}
Deprecated
delete

DEPRECATED: Use DELETE /api/v1/collection/:idOrSlug instead. Delete an environment from the organization (legacy environment endpoint).

πŸ”’ Requires the delete:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Responses
200

Updated information about the environment

application/json

Updated information about the environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

delete/api/v1/environment/{idOrSlug}
DELETE /api/v1/environment/{idOrSlug} HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null
}
Deprecated
post

DEPRECATED: Use POST /api/v1/collection instead. Create an environment for deploying blueprints (legacy environment endpoint).

πŸ”’ Requires the create:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringOptional

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
defaultbooleanOptional

Whether the environment is the default for the organization e.g. true

Responses
200

Information about created environment

application/json

Information about created environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

post/api/v1/environment
POST /api/v1/environment HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "name": "Production Europe",
  "color": "#0000ff",
  "default": true,
  "enabled_policies": [
    "require_owner_approval"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null
}
Deprecated
put

DEPRECATED: Use PUT /api/v1/collection instead. Enable an environment (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
200

Updated information about the environment

application/json

Updated information about the environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

put/api/v1/environment
PUT /api/v1/environment HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "slug": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null
}
Deprecated
delete

DEPRECATED: Use DELETE /api/v1/collection instead. Disable an environment (legacy environment endpoint).

πŸ”’ Requires the delete:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
200

Updated information about the environment

application/json

Updated information about the environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

delete/api/v1/environment
DELETE /api/v1/environment HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "slug": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null
}
Deprecated
put

DEPRECATED: Use PUT /api/v1/collection/:idOrSlug/default instead. Change default environment for the organization (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Responses
200

Updated information about the environment

application/json

Updated information about the environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

put/api/v1/environment/{idOrSlug}/default
PUT /api/v1/environment/{idOrSlug}/default HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null
}
Deprecated
patch

DEPRECATED: Use PATCH /api/v1/collection/:idOrSlug/edit instead. Update environment properties such as color code, name, pre-release status, or associated users. Note: The slug remains unchanged even if the name is updated (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Body
namestringOptional

The environment name e.g. Production Europe

Example: Production Europe
colorstringOptional

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanOptional

Whether the environment allows pre-release deployments e.g. false

Example: false
cost_quotanumber Β· min: 1Optional

Maximum allowed total cost for all deployments in this environment in USD e.g. 1000.50

Example: 1000.5
Responses
200

Updated information about the environment

application/json

Updated information about the environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

cost_quotanumber Β· min: 1Optional

Maximum allowed total cost for all deployments in this environment in USD e.g. 1000.50

Example: 1000.5
patch/api/v1/environment/{idOrSlug}/edit
PATCH /api/v1/environment/{idOrSlug}/edit HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "users": [
    {
      "id": "prov0|1234567890",
      "membership_role": "member"
    }
  ],
  "allowed_blueprints": [
    {
      "idOrName": "text",
      "versions": [
        "text"
      ]
    }
  ],
  "cost_quota": 1000.5
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null,
  "cost_quota": 1000.5,
  "allowed_blueprints": [
    {
      "name": "text",
      "versions": [
        "text"
      ]
    }
  ]
}
Deprecated
put

DEPRECATED: Use PUT /api/v1/collection/:idOrSlug/clone instead. Clone an existing environment with properties and policies (legacy environment endpoint).

πŸ”’ Requires the create:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Body
namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
Responses
200

Information about cloned environment

application/json

Information about cloned environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring Β· nullableOptional

The cloud account ID e.g. 12345678-1234-1234-1234-123456789012

put/api/v1/environment/{idOrSlug}/clone
PUT /api/v1/environment/{idOrSlug}/clone HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "name": "Production Europe"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ],
  "cloud_account": null
}
Deprecated
get

DEPRECATED: Use GET /api/v1/collection/:idOrSlug/props instead. List environment properties (legacy environment endpoint).

πŸ”’ Requires the read:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Responses
200

List of environment properties

application/json

List of environment properties

get/api/v1/environment/{idOrSlug}/props
GET /api/v1/environment/{idOrSlug}/props HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  },
  "props": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "max_size",
      "content": "10",
      "is_enforced": true
    }
  ]
}
Deprecated
post

DEPRECATED: Use POST /api/v1/collection/:idOrSlug/props instead. Create environment props (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodyobject[]

List of new environment properties

namestringRequired

The property name e.g. max_size

Example: max_size
contentstringRequired

The property value or content e.g. 10

Example: 10
is_enforcedbooleanOptional

Indicates whether the environment property takes precedence over any provided value e.g. true

Default: falseExample: true
Responses
200

Updated environment properties

application/json

Updated environment properties

post/api/v1/environment/{idOrSlug}/props
POST /api/v1/environment/{idOrSlug}/props HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55

[
  {
    "name": "max_size",
    "content": "10",
    "is_enforced": true
  }
]
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  },
  "props": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "max_size",
      "content": "10",
      "is_enforced": true
    }
  ]
}
Deprecated
put

DEPRECATED: Use PUT /api/v1/collection/:idOrSlug/props instead. Update environment props (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodyobject[]

List of updated environment properties

idstring Β· uuidOptional

The property ID e.g. 123e4567-e89b-12d3-a456-426614174000

namestringRequired

The property name e.g. max_size

Example: max_size
contentstringRequired

The property value or content e.g. 10

Example: 10
is_enforcedbooleanOptional

Indicates whether the environment property takes precedence over any provided value e.g. true

Default: falseExample: true
Responses
200

Updated environment properties

application/json

Updated environment properties

put/api/v1/environment/{idOrSlug}/props
PUT /api/v1/environment/{idOrSlug}/props HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 99

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "max_size",
    "content": "10",
    "is_enforced": true
  }
]
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  },
  "props": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "max_size",
      "content": "10",
      "is_enforced": true
    }
  ]
}
Deprecated
delete

DEPRECATED: Use DELETE /api/v1/collection/:idOrSlug/props instead. Delete environment props (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodystring[]
string[]Optional
Responses
200

Updated environment props

application/json

Updated environment props

delete/api/v1/environment/{idOrSlug}/props
DELETE /api/v1/environment/{idOrSlug}/props HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 8

[
  "text"
]
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  },
  "props": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "max_size",
      "content": "10",
      "is_enforced": true
    }
  ]
}
Deprecated
get

DEPRECATED: Use GET /api/v1/collection/:idOrSlug/blueprints instead. List packages allowed to be deployed in the environment (legacy environment endpoint).

πŸ”’ Requires the read:package permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Query parameters
offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
limitnumber Β· max: 1000Optional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
searchstringOptional

Enables searching within the list for package names that match a particular query e.g. sns

Responses
200

List of packages allowed in the environment

application/json

List of packages allowed in the environment

totalnumberRequired
get/api/v1/environment/{idOrSlug}/blueprints
GET /api/v1/environment/{idOrSlug}/blueprints HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "packages": [
    {
      "description": "A package for blueprinting a VPC",
      "tags": [
        "my-tag"
      ],
      "allowed_versions": [
        "text"
      ]
    }
  ],
  "total": 1
}
Deprecated
get

DEPRECATED: Use GET /api/v1/collection/:idOrSlug/settings/secrets instead. List environment secrets (legacy environment endpoint).

πŸ”’ Requires the read:secret permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Responses
200

List of environment secrets

application/json

List of environment secrets

get/api/v1/environment/{idOrSlug}/settings/secrets
GET /api/v1/environment/{idOrSlug}/settings/secrets HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  }
}
Deprecated
post

DEPRECATED: Use POST /api/v1/collection/:idOrSlug/settings/secrets instead. Create environment secrets (legacy environment endpoint).

πŸ”’ Requires the create:secret permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodyobject[]

List of new environment-scoped secrets

keystringRequired

The secret key e.g. API_TOKEN

Example: API_TOKEN
valuestringRequired

The secret encrypted value e.g. ERJZ7ZOJcNpQEAvrb6wPOA==

Example: ERJZ7ZOJcNpQEAvrb6wPOA==
Responses
200

Updated environment secrets

application/json

Updated environment secrets

post/api/v1/environment/{idOrSlug}/settings/secrets
POST /api/v1/environment/{idOrSlug}/settings/secrets HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56

[
  {
    "key": "API_TOKEN",
    "value": "ERJZ7ZOJcNpQEAvrb6wPOA=="
  }
]
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  }
}
Deprecated
put

DEPRECATED: Use PUT /api/v1/collection/:idOrSlug/settings/secrets instead. Update environment secrets (legacy environment endpoint).

πŸ”’ Requires the update:secret permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodyobject[]

List of updated environment-scoped secrets

idstring Β· uuidOptional

The secret ID e.g. 123e4567-e89b-12d3-a456-426614174000

keystringRequired

The secret key e.g. API_TOKEN

Example: API_TOKEN
valuestringRequired

The secret encrypted value e.g. ERJZ7ZOJcNpQEAvrb6wPOA==

Example: ERJZ7ZOJcNpQEAvrb6wPOA==
Responses
200

Updated environment secrets

application/json

Updated environment secrets

put/api/v1/environment/{idOrSlug}/settings/secrets
PUT /api/v1/environment/{idOrSlug}/settings/secrets HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 100

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "key": "API_TOKEN",
    "value": "ERJZ7ZOJcNpQEAvrb6wPOA=="
  }
]
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  }
}
Deprecated
delete

DEPRECATED: Use DELETE /api/v1/collection/:idOrSlug/settings/secrets instead. Delete environment secrets (legacy environment endpoint).

πŸ”’ Requires the delete:secret permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodystring[]
string[]Optional

List of secret keys to delete within the environment

Responses
200

Updated environment secrets

application/json

Updated environment secrets

delete/api/v1/environment/{idOrSlug}/settings/secrets
DELETE /api/v1/environment/{idOrSlug}/settings/secrets HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 8

[
  "text"
]
{
  "environment": {
    "guid": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "text"
  }
}
Deprecated
get

DEPRECATED: Use GET /api/v1/collection/settings/secrets instead. List available environment secrets for the user's organization (legacy environment endpoint).

πŸ”’ Requires the read:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sortstring Β· enumOptional

Specifies the attribute by which the returned list should be sorted ' + 'e.g. name

Default: created_atPossible values:
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
limitnumberOptional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

searchstringOptional

Enables searching within the list for Secret Keys that match a particular query e.g. api_key

Responses
200

List of available environment secrets

application/json

List of available environment secrets

totalnumberRequired
get/api/v1/environment/settings/secrets
GET /api/v1/environment/settings/secrets HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "list": [
    {
      "environment": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "slug": "text",
        "name": "Production Europe",
        "color": "#0000ff",
        "allow_pre_release": false,
        "is_default": true,
        "enabled_policies": [
          "require_owner_approval"
        ],
        "is_active": true,
        "is_deleted": true,
        "users": [
          {}
        ]
      },
      "created_by": {}
    }
  ],
  "filters": {
    "environments": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "slug": "text",
        "name": "Production Europe",
        "color": "#0000ff",
        "allow_pre_release": false,
        "is_default": true,
        "enabled_policies": [
          "require_owner_approval"
        ],
        "is_active": true,
        "is_deleted": true,
        "users": [
          {}
        ]
      }
    ],
    "users": [
      {
        "id": "prov0|1234567890",
        "name": "John Doe",
        "nickname": "JD",
        "picture": "https://example.com/profile.jpg"
      }
    ]
  }
}
Deprecated
put

DEPRECATED: Use PUT /api/v1/collection/:idOrSlug/settings/policies instead. Update environment policies (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

Bodyobject Β· Environment Policy Update[]

List of environment policies to update

policystring Β· enumRequired

The name of the policy

Example: require_owner_approvalPossible values:
enablebooleanRequired

Whether to enable or disable the policy

Responses
200

Updated policy information

application/json

Updated policy information

policystring Β· enumOptional

The name of the policy

Example: require_owner_approvalPossible values:
enablebooleanOptional

Current policy state after update

put/api/v1/environment/{idOrSlug}/settings/policies
PUT /api/v1/environment/{idOrSlug}/settings/policies HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

[
  {
    "policy": "require_owner_approval",
    "enable": true
  }
]
[
  {
    "policy": "require_owner_approval",
    "enable": true
  }
]
Deprecated
get

DEPRECATED: Use GET /api/v1/collections instead. List available environments for the user's organization (legacy environment endpoint).

πŸ”’ Requires the read:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
allbooleanOptional

If false, return active environments only. If true, return all environments

offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

filterstringOptional

Structure: [key1=value1,key2=value2&value3]

limitnumberOptional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
sortstring Β· enumOptional

Specifies the attribute by which the returned list should be sorted ' + 'e.g. name

Default: createdPossible values:
searchstringOptional

Enables searching within the list for environment names that match a particular query e.g. prod

Responses
200

List of available deployment environments

application/json

List of available deployment environments

totalnumberRequired
get/api/v1/environments
GET /api/v1/environments HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "stats": {
    "active": 1,
    "cloud_connected": 1
  },
  "list": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "slug": "text",
      "name": "Production Europe",
      "color": "#0000ff",
      "allow_pre_release": false,
      "is_default": true,
      "enabled_policies": [
        "require_owner_approval"
      ],
      "is_active": true,
      "is_deleted": true,
      "users": [
        {}
      ],
      "allowed_blueprints": [
        {
          "name": "text",
          "versions": [
            "text"
          ]
        }
      ],
      "cost_quota": 1000.5
    }
  ]
}
Deprecated
get

DEPRECATED: Use GET /api/v1/collections/props instead. List available Environment properties of an organization (legacy environment endpoint).

πŸ”’ Requires the read:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

filterstringOptional

Structure: [key1=value1,key2=value2&value3]

limitnumberOptional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
sortstring Β· enumOptional

Specifies the attribute by which the returned list should be sorted ' + 'e.g. name

Default: created_atPossible values:
searchstringOptional

Enables searching within the list for environment names that match a particular query

packagestringOptional

The package name with version e.g. @bluebricks/aws-vpc@1.2.3

Example: @bluebricks/aws-vpc@1.2.3
Responses
200

List of available Environment properties of an organization

application/json

List of available Environment properties of an organization

totalnumberRequired
get/api/v1/environments/props
GET /api/v1/environments/props HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "list": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "max_size",
      "environment": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "slug": "text",
        "name": "Production Europe",
        "color": "#0000ff",
        "allow_pre_release": false,
        "is_default": true,
        "enabled_policies": [
          "require_owner_approval"
        ],
        "is_active": true,
        "is_deleted": true,
        "users": [
          {}
        ]
      },
      "content": "10",
      "is_enforced": true,
      "created_by": {}
    }
  ],
  "filters": {
    "environments": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "slug": "text",
        "name": "Production Europe",
        "color": "#0000ff",
        "allow_pre_release": false,
        "is_default": true,
        "enabled_policies": [
          "require_owner_approval"
        ],
        "is_active": true,
        "is_deleted": true,
        "users": [
          {}
        ]
      }
    ],
    "users": [
      {
        "id": "prov0|1234567890",
        "name": "John Doe",
        "nickname": "JD",
        "picture": "https://example.com/profile.jpg"
      }
    ]
  }
}
Deprecated
post

DEPRECATED: Use POST /api/v1/collections/:collectionIdOrSlug/cloud/:cloudId instead. Assign a cloud account to an environment (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
envIdOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

cloudIdstring Β· uuidRequired

The cloud ID to associate with the collection e.g. 86a6e0b9-65e4-49cc-8d40-ce5dcfbf4eb6

Example: f27d96be-c486-4075-a926-0ee96775119f
Body
is_primarybooleanOptional

Indicate if the cloud is going to be the one used for provisioning in the associated environment

Default: false
profilestringOptional

Profile is a named configuration of a specific cloud account

Example: secrets-manager
Responses
200

Updated environment

application/json

Updated environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

post/api/v1/environments/{envIdOrSlug}/cloud/{cloudId}
POST /api/v1/environments/{envIdOrSlug}/cloud/{cloudId} HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "is_primary": false,
  "profile": "secrets-manager"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ]
}
Deprecated
post

DEPRECATED: Use POST /api/v1/collections/:collectionIdOrSlug/cloud/secondary/:cloudId instead. Assign a secondary cloud account to an environment (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
envIdOrSlugstringRequired

The environment's ID or slug e.g. f27d96be-c486-4075-a926-0ee96775119e or my-environment

cloudIdstring Β· uuidRequired

The cloud ID to associate with the collection e.g. 86a6e0b9-65e4-49cc-8d40-ce5dcfbf4eb6

Example: f27d96be-c486-4075-a926-0ee96775119f
Body
profilestringRequired

Profile is a named configuration of a specific cloud account

Example: secrets-manager
Responses
200

Updated environment

application/json

Updated environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

slugstringRequired

The environment's slug e.g. my-environment

namestringRequired

The environment name e.g. Production Europe

Example: Production Europe
colorstringRequired

The environment color code e.g. #0000ff

Example: #0000ffPattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
allow_pre_releasebooleanRequired

Whether the environment allows pre-release deployments e.g. false

Example: false
is_defaultbooleanRequired

Whether the environment is the default for the organization e.g. true

is_activebooleanRequired

Indicate if the environment is active e.g. true

is_deletedbooleanRequired

Indicate if the environment was deleted e.g. true

createdstring Β· date-timeRequiredDeprecated

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

post/api/v1/environments/{envIdOrSlug}/cloud/secondary/{cloudId}
POST /api/v1/environments/{envIdOrSlug}/cloud/secondary/{cloudId} HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "profile": "secrets-manager"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "Production Europe",
  "color": "#0000ff",
  "allow_pre_release": false,
  "is_default": true,
  "enabled_policies": [
    "require_owner_approval"
  ],
  "is_active": true,
  "is_deleted": true,
  "users": [
    {}
  ]
}
Deprecated
delete

DEPRECATED: Use DELETE /api/v1/collections/:collectionId/cloud/:cloudId instead. Dissociate cloud id from environment (legacy environment endpoint).

πŸ”’ Requires the update:collection permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
envIdstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

cloudIdstring Β· uuidRequired
Responses
200

Updated environment

application/json

Updated environment

idstring Β· uuidRequired

The environment's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

cloud_accountstring Β· uuidRequired
messagestringRequired
delete/api/v1/environments/{envId}/cloud/{cloudId}
DELETE /api/v1/environments/{envId}/cloud/{cloudId} HTTP/1.1
Host: api.bluebricks.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "cloud_account": "123e4567-e89b-12d3-a456-426614174000",
  "message": "text"
}

Last updated